package de.ozgcloud.eingang.semantik.enginebased.dfoerdermittel;

import java.util.Map;

import de.ozgcloud.eingang.common.formdata.FormData;

class DFoerdermittelFormDataTestFactory {

	static final String POSTFACH_ID = "4dd01647-b9d9-4775-1b50-08da3d83800a";
	static final String ORGANISATIONS_EINHEIT_ID = "9795669";

	static FormData create() {
		return createBuilder().build();
	}

	static FormData.FormDataBuilder createBuilder() {
		return FormData.builder()
				.formData(Map.of("Fachnachricht", createFachnachrichtMap()));
	}

	static Map<String, Object> createFachnachrichtMap() {
		return Map.of("InboxReference", "sh/sh/4dd01647-b9d9-4775-1b50-08da3d83800a",
				"MetaText1", ORGANISATIONS_EINHEIT_ID);
	}
}
