package de.ozgcloud.eingang.semantik.enginebased.afm;

import org.springframework.stereotype.Component;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.dataformat.xml.XmlMapper;

@Component
public class XmlMapperSupplier {

	private final XmlMapper xmlMapper;

	public XmlMapperSupplier() {
		xmlMapper = new XmlMapper();
		xmlMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
	}

	public XmlMapper getMapper() {
		return xmlMapper;
	}
}
